Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO]problema fglrx
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Sun May 31, 2009 8:52 pm    Post subject: [RISOLTO]problema fglrx Reply with quote

ciao...
Sto combatendo contro i driver fglrx della ati!!!
Prima gli ho installati scaricando il pacchetto dal sito, e non sono riuscito a combinare niente, poi ho deciso di installarli tramite emerge, ma l'installazione fallisce perchè mi dice di attivare il supporto per : Enable unused/obsolete exported symbols e ati-drivers-8.552 requires support for pci_find_slot,quindi ho ricompilato il kernel ativando la sezione hacking-->Enable unused/obsolete exported symbols pero mi chiede sempre il suporto pci_find_slot!!!

Che devo fare ??? ricompilare ancora il kernel?? Non sono riuscito a trovare la sezione giusta da attivare per pci_find_slot....


Last edited by Pes88 on Thu Jun 04, 2009 8:06 am; edited 1 time in total
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Mon Jun 01, 2009 8:12 am    Post subject: Reply with quote

da me non esiste la voce pci_find_slot.
a leggere su google, pare che sia stato tolto dal kernel 2.6.22 (o almeno io ho capito così).

prova a cambiare versione del driver ati. prova a mettere una versione ~


ps: hai mai provato i driver open?
x11-drivers/xf86-video-ati

sarà che, forse, io ho una scheda vecchia (ha 2 anni). sta di fatto che i driver open funzionano perfettamente.
_________________
Darkman
Back to top
View user's profile Send private message
IlGab
Guru
Guru


Joined: 26 Nov 2004
Posts: 486

PostPosted: Mon Jun 01, 2009 9:06 am    Post subject: Reply with quote

Bus options (PCI etc.) --->
[*] Message Signaled Interrupts (MSI and MSI-X)
[ ] Enable deprecated pci_find_* API
< > PCI Stub driver

gentoo-sources-2.6.29-r5
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Mon Jun 01, 2009 10:20 am    Post subject: Reply with quote

Si ho risolto attivando l'opzione :
[ ] Enable deprecated pci_find_* API
< > PCI Stub driver

Ma ora ho installato i driver, pero se lancio startx mi si blocca il pc su una schermata nera, e sono costretto a spegnerlo dall'interutore... Che puo essere???
Back to top
View user's profile Send private message
devilheart
l33t
l33t


Joined: 17 Mar 2005
Posts: 832
Location: Villach, Austria

PostPosted: Mon Jun 01, 2009 10:32 am    Post subject: Reply with quote

dopo il crash riavvia in modalità singolo utente e vedi cosa dice il log di Xorg
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Tue Jun 02, 2009 6:18 am    Post subject: Reply with quote

Provato!!! Ma il file di log dell'xorg è vuoto :cry: :cry: :cry: ....

Ho provato a disinstallare i driver con emerge -C ati-drivers, ma quando li ho ricompilati mi dave erore perchè diceva che avevo ativato il reading 3d nel kernel, allora ho ricompilato togliendo questa opzione, ma ora l'installazione fallisce perchè a un certo punto ld ritorna uno!!!
Back to top
View user's profile Send private message
devilheart
l33t
l33t


Joined: 17 Mar 2005
Posts: 832
Location: Villach, Austria

PostPosted: Tue Jun 02, 2009 6:20 am    Post subject: Reply with quote

ok che sei nuovo, ma quando hai degli errori devi riportare il messaggio per intero. dire che ld ritorna uno non serve a nulla
Back to top
View user's profile Send private message
randomaze
Bodhisattva
Bodhisattva


Joined: 21 Oct 2003
Posts: 9985

PostPosted: Tue Jun 02, 2009 4:36 pm    Post subject: Reply with quote

Dovresti incollare i messaggi di errore di emerge nel modo più completo possibile perchè, come ti han fatto notare dire che ld ritorna 1 non vuol dire molto [peraltro non ho capito neanche se quell'errore lo hai compilando il kernel o i driver...]

(a occhio potrebbe significare che è fallito il linking con una libreria, ma senza la sfera di cristallo è problematico capire quale...).

Come ti han suggerito, hai verificato se il driver open xf86-video-ati funziona con la tua scheda?

P.S. Anche se scarna, c'è una documentazione per le ATI... prova a dare un occhio, magari trovi qualcosa...
_________________
Ciao da me!
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Tue Jun 02, 2009 10:02 pm    Post subject: Reply with quote

Avete ragione e chiedo scusa!!! Posto l'output di emerge :
Code:

CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_pci.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_str.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_wait.o
  LD [M]  /var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC      /var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
  LD [M]  /var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: Leaving directory `/usr/src/linux-2.6.28-gentoo-r5'
0m Building fgl_glxgears
In file included from fgl_glxgears.c:70:
/var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/usr/include/GL/glATI.h:3153:1: warning: "GL_ATI_texture_env_combine3" redefined
In file included from /usr/include/GL/gl.h:2150,
                 from /usr/include/GL/glu.h:38,
                 from fgl_glxgears.c:59:
/usr/include/GL/glext.h:6606:1: warning: this is the location of the previous definition
/usr/lib/gcc/i686-pc-linux-gnu/4.3.2/../../../../i686-pc-linux-gnu/bin/ld: cannot find -lGL
collect2: ld returned 1 exit status

 ERROR: x11-drivers/ati-drivers-8.552-r2 failed.
 0m Call stack:
 0m               ebuild.sh, line   48:  Called src_compile
 0m             environment, line 3328:  Called die
 [0m The specific snippet of code:
 0m       "$(tc-getCC)" -o fgl_glxgears ${CFLAGS} ${LDFLAGS} -DUSE_GLU -I"${S}"/common/usr/include fgl_glxgears.c -lGL -lGLU -lX11 -lm || die "fgl_glxgears build failed";
 0m  The die message:
 0m   fgl_glxgears build failed
 
 0m If you need support, post the topmost build error, and the call stack if relevant.
 0m A complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/temp/build.log'.
 0m The ebuild environment file is located at '/var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/temp/environment'.
 0m

>>> Failed to emerge x11-drivers/ati-drivers-8.552-r2, Log file:

>>>  '/var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/temp/build.log'

 * Messages for package x11-drivers/ati-drivers-8.552-r2:



Comunque la mai scheda è una X700 mobile della ati!!! Questo pachetto l'ho gia installato,ma ho avuto problemi perchè mi aveva dato degli errori di collisione in quanto avevo installato, il pacchetto dei driver scaricato dal sito della ati, e con quelli riuscivo ad avviare il serverx con il modulo fglrx ma avevo problemi con l'attivazione dell'accellarazione grafica... Poi ho dato il comando emerge -C per rimuoverlo perchè si oscurava il server x, quando lo lanciavo attenevo una schermata nera e il file di log era vuoto!!! E da quando provo a rinstallarlo ottengo questo errore....
HELP HELP
Back to top
View user's profile Send private message
randomaze
Bodhisattva
Bodhisattva


Joined: 21 Oct 2003
Posts: 9985

PostPosted: Tue Jun 02, 2009 10:25 pm    Post subject: Reply with quote

Pes88 wrote:
Code:

In file included from /usr/include/GL/gl.h:2150,
                 from /usr/include/GL/glu.h:38,
                 from fgl_glxgears.c:59:
/usr/include/GL/glext.h:6606:1: warning: this is the location of the previous definition
/usr/lib/gcc/i686-pc-linux-gnu/4.3.2/../../../../i686-pc-linux-gnu/bin/ld: cannot find -lGL
collect2: ld returned 1 exit status


Da qui sembrerebbe ci siano problemi con l'installazione di mesa.
Cosa restituisce il comando:
Code:

eselect opengl list


:?:

Quote:
Comunque la mai scheda è una X700 mobile della ati!!! Questo pachetto l'ho gia installato,ma ho avuto problemi perchè mi aveva dato degli errori di collisione in quanto avevo installato, il pacchetto dei driver scaricato dal sito della ati, e con quelli riuscivo ad avviare il serverx con il modulo fglrx ma avevo problemi con l'attivazione dell'accellarazione grafica... Poi ho dato il comando emerge -C per rimuoverlo perchè si oscurava il server x, quando lo lanciavo attenevo una schermata nera e il file di log era vuoto!!! E da quando provo a rinstallarlo ottengo questo errore....


Prendi fiato... in quell'emerge -C cosa hai disinstallato? Perchè sembrerebbe che hai rimosso qualcosa di troppo...
_________________
Ciao da me!
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Wed Jun 03, 2009 6:36 am    Post subject: Reply with quote

Quote:

Cosa restituisce il comando:
Codice:

eselect opengl list


da come risultato :
Code:

Available OpenGL implementations:
  [1]   xorg-x11


Con il comando emerge -C ati-drivers, ho disinstallato i driver ati... Provo a rinstallare i driver mesa???
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Wed Jun 03, 2009 10:49 am    Post subject: Reply with quote

come quasi-ex utonto gentoo devo dire che resto basito innanzi a cotanta trascuratezza visto che il problema è vecchio (e ci ho bestemmiato senza risultato).
emerge -C ati-drivers probabilmente ha lasciato qualche link simbolico sballato o sono rimaste delle librerie spurie,
Code:
In file included from /usr/include/GL/gl.h:2150,
                 from /usr/include/GL/glu.h:38,
                 from fgl_glxgears.c:59:
/usr/include/GL/glext.h:6606:1: warning: this is the location of the previous definition
/usr/lib/gcc/i686-pc-linux-gnu/4.3.2/../../../../i686-pc-linux-gnu/bin/ld: cannot find -lGL
collect2: ld returned 1 exit status
mi pare abbastanza chiaro.
Quanto ai simboli deprecati parti dalla configurazione di genkernel e modificala un passo alla volta perché a seconda delle opzioni che attivi alcune funzioni interne al kernel smettono di includerli e ti capita quello che descrivi.

La configurazione esatta non posso fornirtela perchè il linux sul computer con la ati non c'è più, ho dovuto rimuoverlo.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Wed Jun 03, 2009 2:49 pm    Post subject: Reply with quote

ho provatoa togliere i driver mesa...

Comunque è cambiato il tipo di errore che mi da , il file è sempre quello :
Code:

fgl_glxgears.c:59:20: error: GL/glu.h: No such file or directory
fgl_glxgears.c:61:19: error: GL/gl.h: No such file or directory
fgl_glxgears.c:64: error: expected ';', ',' or ')' before '*' token
fgl_glxgears.c:67:20: error: GL/glx.h: No such file or directory
In file included from fgl_glxgears.c:70:
/var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/usr/include/GL/glATI.h:65: error: expected ')' before '*' token
/var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/usr/include/GL/glATI.h:68: error: expected ')' before '*' token
/var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/usr/include/GL/glATI.h:72: error: expected ')' before '*' token
/var/tmp/portage/x11-drivers/ati-drivers-8.552-r2/work/common/usr/include/GL/glATI.h:130: error: expected ')' before '*'

s.c:809: error: 'view_rotx' undeclared (first use in this function)
fgl_glxgears.c:827: error: 'angle' undeclared (first use in this function)
fgl_glxgears.c:830: error: invalid operands to binary > (have 'int *' and 'float')
fgl_glxgears.c:849: error: 'GLfloat' undeclared (first use in this function)
fgl_glxgears.c:849: error: expected ';' before 'seconds'
fgl_glxgears.c:850: error: expected ';' before 'fps'
fgl_glxgears.c:851: error: 'seconds' undeclared (first use in this function)
fgl_glxgears.c:852: error: 'fps' undeclared (first use in this function)
fgl_glxgears.c: In function 'main':
fgl_glxgears.c:891: error: 'GLboolean' undeclared (first use in this function)
fgl_glxgears.c:891: error: expected ';' before 'printInfo'
fgl_glxgears.c:923: error: 'printInfo' undeclared (first use in this function)
fgl_glxgears.c:923: error: 'GL_TRUE' undeclared (first use in this function)
fgl_glxgears.c:960: error: 'GL_RENDERER' undeclared (first use in this function)
fgl_glxgears.c:961: error: 'GL_VERSION' undeclared (first use in this function)
fgl_glxgears.c:962: error: 'GL_VENDOR' undeclared (first use in this function)
fgl_glxgears.c:963: error: 'GL_EXTENSIONS' undeclared (first use in this function)
fgl_glxgears.c:982: error: 'gearsDB' undeclared (first use in this function)
fgl_glxgears.c:983: error: 'gearsFB' undeclared (first use in this function)
fgl_glxgears.c:987: error: 'ctx_pbuf' undeclared (first use in this function)
fgl_glxgears.c:988: error: 'pbuf' undeclared (first use in this function)
fgl_glxgears.c:992: error: 'ctx_win' undeclared (first use in this function)
 


Non li ho postati tutti perchè sono un centinaio... E poi ora non mi permette di eseguire una shell mi da errore di input output!!! HELP HELP
Back to top
View user's profile Send private message
devilheart
l33t
l33t


Joined: 17 Mar 2005
Posts: 832
Location: Villach, Austria

PostPosted: Wed Jun 03, 2009 5:46 pm    Post subject: Reply with quote

dai un
Code:
eselect opengl set xorg-x11
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Wed Jun 03, 2009 5:59 pm    Post subject: Reply with quote

Fatto!! Ma stesso identico errore... :( Anche la shell non si avvia!!!
Back to top
View user's profile Send private message
devilheart
l33t
l33t


Joined: 17 Mar 2005
Posts: 832
Location: Villach, Austria

PostPosted: Wed Jun 03, 2009 6:25 pm    Post subject: Reply with quote

ma hai installato mesa-libs/mesa ?
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Wed Jun 03, 2009 7:37 pm    Post subject: Reply with quote

Risolto!!!!! :D :D :D :D :D :D :D

Il problema era dovuto al fatto he libGL.so puntava a libGL.so.1 he non esisteva!!!! L'ha shell dava quell'errore perchè non c'è la libreria mesa... Poi grazie all'installazione di mesa ho trovato il problema!!!!

Grazie a tutti...
Back to top
View user's profile Send private message
devilheart
l33t
l33t


Joined: 17 Mar 2005
Posts: 832
Location: Villach, Austria

PostPosted: Thu Jun 04, 2009 7:30 am    Post subject: Reply with quote

Pes88 wrote:
Risolto!!!!! :D :D :D :D :D :D :D
io però non vedo ancora il tag [risolto] :P
Back to top
View user's profile Send private message
Pes88
Apprentice
Apprentice


Joined: 06 May 2009
Posts: 243

PostPosted: Thu Jun 04, 2009 8:07 am    Post subject: Reply with quote

Fatto..... :!: :!: :P :P :P
Back to top
View user's profile Send private message
Spiros
Apprentice
Apprentice


Joined: 11 Mar 2008
Posts: 189
Location: Zurich

PostPosted: Fri Jun 12, 2009 2:02 pm    Post subject: Reply with quote

Mi era successa la stessa cosa l'altro giorno, quindi mi aggiungo per dare testimonianza: quando si installano dei driver che forniscono accelerazione bisogna ricompilare i mesa per creare le corrette librerie GL.
Correggetemi se ho detto qualche scemenza.
_________________
Spiros
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Fri Jun 12, 2009 6:39 pm    Post subject: Reply with quote

ripeto: quando si rimuovono i driver propietari ati od nvidia è bene prima lanciare l'eselect opengl set xorg-x11 (c'è un vecchio bug mai risolto a causa della caparbietà con cui alcuni devel continuano a voler rendere eselect capace di mettere le cose a posto invece di sistemare gli ebuild per far riselezionare prima di rimuovere i file) e nelle note per i moduli beta dri e mesa era scritto di ricompilare mesa ad ogni nuovo assetto dei driver.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum